summaryrefslogtreecommitdiffstats
path: root/graphics
diff options
context:
space:
mode:
Diffstat (limited to 'graphics')
-rw-r--r--graphics/fritzing/README4
-rw-r--r--graphics/fritzing/doinst.sh5
-rw-r--r--graphics/fritzing/fritzing.SlackBuild90
-rw-r--r--graphics/fritzing/fritzing.desktop11
-rw-r--r--graphics/fritzing/fritzing.info10
-rw-r--r--graphics/fritzing/slack-desc19
6 files changed, 139 insertions, 0 deletions
diff --git a/graphics/fritzing/README b/graphics/fritzing/README
new file mode 100644
index 0000000000..4b907bd87f
--- /dev/null
+++ b/graphics/fritzing/README
@@ -0,0 +1,4 @@
+Fritzing is an open-source initiative to support designers, artists,
+researchers and hobbyists to take the step from physical prototyping
+to actual product. It allows users to document their Arduino and other
+electronic-based prototypes, and to create a PCB layout for manufacturing.
diff --git a/graphics/fritzing/doinst.sh b/graphics/fritzing/doinst.sh
new file mode 100644
index 0000000000..f8f852bc2b
--- /dev/null
+++ b/graphics/fritzing/doinst.sh
@@ -0,0 +1,5 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
+
+
diff --git a/graphics/fritzing/fritzing.SlackBuild b/graphics/fritzing/fritzing.SlackBuild
new file mode 100644
index 0000000000..65a486d2ba
--- /dev/null
+++ b/graphics/fritzing/fritzing.SlackBuild
@@ -0,0 +1,90 @@
+#!/bin/sh
+
+# Slackware build script for fritzing
+# electronic prototyping
+
+# Written by Niels Horn <niels.horn@gmail.com>
+# Revision date 2010/09/25
+
+PRGNAM=fritzing
+VERSION=${VERSION:-0.4.2b}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+SRCVERSION="2010.08.06.source"
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM.$SRCVERSION
+tar xvf $CWD/$PRGNAM.$SRCVERSION.tar.bz2
+cd $PRGNAM.$SRCVERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+qmake \
+ "QMAKE_CXXFLAGS+=$SLKCFLAGS" \
+ "QMAKE_CFLAGS+=$SLKCFLAGS"
+
+make
+
+# "install" program
+mkdir -p $PKG/usr/bin
+cp Fritzing $PKG/usr/bin/
+# "install" data
+mkdir -p $PKG/usr/share/$PRGNAM
+cp -a bins parts sketches translations \
+ $PKG/usr/share/$PRGNAM/
+
+find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/share/{applications,pixmaps}
+cat $CWD/$PRGNAM.desktop > $PKG/usr/share/applications/$PRGNAM.desktop
+cat resources/images/${PRGNAM}_icon.png > $PKG/usr/share/pixmaps/$PRGNAM.png
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION/
+cp -a \
+ LICENSE.* README.txt \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/graphics/fritzing/fritzing.desktop b/graphics/fritzing/fritzing.desktop
new file mode 100644
index 0000000000..890a69229e
--- /dev/null
+++ b/graphics/fritzing/fritzing.desktop
@@ -0,0 +1,11 @@
+[Desktop Entry]
+Version=1.0
+Type=Application
+Name=Fritzing
+Comment=Electronics Prototyper
+Categories=Graphics;
+Exec=Fritzing --folder /usr/share/fritzing
+Icon=fritzing
+Terminal=false
+StartupNotify=false
+
diff --git a/graphics/fritzing/fritzing.info b/graphics/fritzing/fritzing.info
new file mode 100644
index 0000000000..3178cb86cb
--- /dev/null
+++ b/graphics/fritzing/fritzing.info
@@ -0,0 +1,10 @@
+PRGNAM="fritzing"
+VERSION="0.4.2b"
+HOMEPAGE="http://fritzing.org/"
+DOWNLOAD="http://fritzing.org/download/0.4.2b/source-tarball/fritzing.2010.08.06.source.tar.bz2"
+MD5SUM="b72cfa46377d5de033857ae71c67ca62"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="Niels Horn"
+EMAIL="niels.horn@gmail.com"
+APPROVED="dsomero"
diff --git a/graphics/fritzing/slack-desc b/graphics/fritzing/slack-desc
new file mode 100644
index 0000000000..3d9c55ae22
--- /dev/null
+++ b/graphics/fritzing/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+fritzing: fritzing (electronic prototyping)
+fritzing:
+fritzing: Fritzing is an open-source initiative to support designers, artists,
+fritzing: researchers and hobbyists to take the step from physical prototyping
+fritzing: to actual product. It allows users to document their Arduino and other
+fritzing: electronic-based prototypes, and to create a PCB layout for
+fritzing: manufacturing.
+fritzing:
+fritzing: Homepage: http://fritzing.org/
+fritzing:
+fritzing: